storj/scripts/test-sim.sh

29 lines
759 B
Bash
Raw Normal View History

2019-01-08 15:24:15 +00:00
#!/bin/bash
set -ueo pipefail
SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
2019-01-16 23:09:57 +00:00
make -C $SCRIPTDIR/.. install-sim
2019-01-08 15:24:15 +00:00
# setup tmpdir for testfiles and cleanup
TMP=$(mktemp -d -t tmp.XXXXXXXXXX)
cleanup(){
rm -rf "$TMP"
}
trap cleanup EXIT
export STORJ_LOCAL_NETWORK=$TMP
# setup the network
2019-01-16 23:09:57 +00:00
storj-sim -x network setup
2019-01-08 15:24:15 +00:00
# run aws-cli tests
2019-01-16 23:09:57 +00:00
storj-sim -x network test bash $SCRIPTDIR/test-sim-aws.sh
storj-sim -x network destroy
2019-01-08 15:24:15 +00:00
# ipv6 tests disabled because aws-cli doesn't seem to support connecting to ipv6 host
# # setup the network with ipv6
2019-01-16 23:09:57 +00:00
# storj-sim -x --host "::1" network setup
2019-01-08 15:24:15 +00:00
# # run aws-cli tests using ipv6
2019-01-16 23:09:57 +00:00
# storj-sim -x --host "::1" network test bash $SCRIPTDIR/test-storj-sim-aws.sh
# storj-sim -x network destroy